Main Page Widgets Namespaces Book

# Glib::PatternSpec Class Reference
[Glob-style Pattern Matching]

List of all members.

## Public Member Functions
| PatternSpec (const Glib::ustring& pattern)
| PatternSpec (GPatternSpec* gobject)
| ~PatternSpec ()
bool | match (const Glib::ustring& str) const
bool | match (const Glib::ustring& str, const Glib::ustring& str_reversed) const
bool | operator== (const PatternSpec& rhs) const
bool | operator!= (const PatternSpec& rhs) const
GPatternSpec* | gobj ()
const GPatternSpec* | gobj () const

## Constructor & Destructor Documentation

Glib::PatternSpec::PatternSpec | ( | const Glib::ustring& | pattern | ) | `[explicit]`

Glib::PatternSpec::PatternSpec | ( | GPatternSpec* | gobject | ) | `[explicit]`

Glib::PatternSpec::~PatternSpec | ( |  | ) |

## Member Function Documentation

const GPatternSpec* Glib::PatternSpec::gobj | ( |  | ) | const`[inline]`

GPatternSpec* Glib::PatternSpec::gobj | ( |  | ) | `[inline]`

bool Glib::PatternSpec::match | ( | const Glib::ustring& | str,
|  | const Glib::ustring& | str_reversed
| ) | const

bool Glib::PatternSpec::match | ( | const Glib::ustring& | str | ) | const

bool Glib::PatternSpec::operator!= | ( | const PatternSpec& | rhs | ) | const

bool Glib::PatternSpec::operator== | ( | const PatternSpec& | rhs | ) | const

The documentation for this class was generated from the following file:

- pattern.h